#!/bin/sh


Usage()
{
  echo "Usage: $0 <release version> <mame version>"
  exit 1;
}

if [ $# -ne 2 ]; then
	Usage
fi

if test -e Makefile; then
  make distclean
  rm -f Makefile
fi

if test -e kaf; then
  rm -f kaf 
fi
	
# Remove cvs merged files
rm -f .#*

# Create version .h
echo "Creating version $1 based on XMame $2 ..."

FILE_VERSION_H="version.h"

if test -e $FILE_VERSION_H; then
  rm -f $FILE_VERSION_H
fi

echo "#ifndef KAF_VERSION_H" >>$FILE_VERSION_H
echo "#define KAF_VERSION_H" >>$FILE_VERSION_H
echo "" >>$FILE_VERSION_H
echo "static const char *KAF_VERSION = \"$1\";" >>$FILE_VERSION_H
echo "static const char *KAF_XMAME_BASED = \"$2\";" >>$FILE_VERSION_H
echo "" >>$FILE_VERSION_H
echo "#endif" >>$FILE_VERSION_H
echo "" >>$FILE_VERSION_H

# Making tar
cd ..

echo "Executing: tar -zcvf kaf-$1-$2.tar.gz kaf/"
tar -zcvf kaf-$1-$2.tar.gz kaf/ >/dev/null

if [ $? != 0 ]; then
  echo "Error Occurred."
  exit 1
else
  echo "Done."
  exit 0
fi

