/************************************************************************
 *                                                                      *
 * Project: KAF - Khelben Arcade Frontend                               *
 *                                                                      *
 * Author: Marco Mastroddi <marco.mastroddi@libero.it>                  *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 ************************************************************************/

/*
 *    File    : wndbuildgameslist.h
 */




#ifndef KAF_WNDBUILDGAMESLIST_H
#define KAF_WNDBUILDGAMESLIST_H

#include "guibuildgameslist.h"
#include "buildgameslist.h"

class Options;
class QCustomEvent;
class QTimer;


class WndBuildGamesList : public GuiBuildGamesList
{
  Q_OBJECT

public:
  WndBuildGamesList( Options*, QWidget* parent = 0 );
  ~WndBuildGamesList();

protected:
  void init();
  void resetTickState();

protected slots:
  void slotBuild();
  void slotCancel();
  void slotError();
  void slotAdvanceState( int );
  void slotTick();

private:
  BuildGamesList* mp_build;
  QTimer* mp_tick;
  int m_tickState;
  int m_state;

};

#endif /* KAF_WNDBUILDGAMESLIST_H */
