/************************************************************************
 *                                                                      *
 * Project: KAF - Khelben Arcade Frontend                               *
 *                                                                      *
 * Author: Marco Mastroddi <marco.mastroddi@libero.it>                  *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 ************************************************************************/

/*
 *    File    : wndgameoptions.h
 */




#ifndef KAF_WNDGAMESOPTIONS_H
#define KAF_WNDGAMESOPTIONS_H

#include "guigameoptions.h"


class Options;


class WndGameOptions : public GuiGameOptions
{
  Q_OBJECT

public:
  WndGameOptions( Options*, QWidget *parent = 0 );
  ~WndGameOptions();

protected:
  void updateMenus();
  void updateX11Menus();
  void updateXGLMenus();
  void updateSDLMenus();
  void updateDisplayMenus();
  void updateSoundMenus();
  void updateInputMenus();
  void updateNetworkMenus();
  void updateVectorMenus();
  void updateAdvancedMenus();
  void updateSdlMode();
  void updateRenderMenus();

protected slots:
  void slotOk();
  void slotCancel();
  void slotVideoModeSelected();
  void slotAspectRatioSelected();
  void slotX11WindowOptionSelected( int );
  void slotGamma( int );
  void slotBrightness( int );
  void slotDisableRotationSelected();
  void slotAutomaticFrameSkipSelected();
  void slotEnableSoundSelected();
  void slotVolume( int );
  void slotSoundBuffer( int );
  void slotEnableNetworkSelected();
  void slotNetworkModeSelected( int );
  void slotXGLCustomResolutionSelected();
  void slotXGLTextureSizeSelected();
  void slotUseArtworkSelected();
  void slotUseFixedResolutionSelected();
  void slotBeam( int );
  void slotFlicker( int );
  void slotIntensity( int );
  void slotRestoreDefaultOptions();
  void slotSDLCustomModeSelected();

private:
  Options* mp_options;

};


#endif /* KAF_WNDGAMESOPTIONS_H */
