/************************************************************************
 *                                                                      *
 * Project: KAF - Khelben Arcade Frontend                               *
 *                                                                      *
 * Author: Marco Mastroddi <marco.mastroddi@libero.it>                  *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 ************************************************************************/

/*
 *    File    : wndinfo.h
 */

#ifndef KAF_WNDINFO_H
#define KAF_WNDINFO_H

#include "guiinfo.h"

class Game;
class Options;


class WndInfo : public GuiInfo
{
  Q_OBJECT

public:
  WndInfo( Options*, QWidget* parent = 0, const char* name = 0 );
  ~WndInfo();

signals:
  void closing();

protected:
  void closeEvent( QCloseEvent* );
  void loadGameIcon( Game* );

public slots:
  void slotShowInfo( Game* );

private:
  Options* mp_options;

};

#endif /*  KAF_WNDINFO_H */
