/************************************************************************
 *                                                                      *
 * Project: KAF - Khelben Arcade Frontend                               *
 *                                                                      *
 * Author: Marco Mastroddi <marco.mastroddi@libero.it>                  *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 ************************************************************************/

/*
 *    File    : wndmamepaths.h
 */




#ifndef KAF_WNDMAMEPATHS_H
#define KAF_WNDMAMEPATHS_H


#include "guimamepaths.h"

class Options;
class QString;
class QLineEdit;


class WndMamePaths : public GuiMamePaths
{
  Q_OBJECT

public:
  WndMamePaths( Options*, QWidget* parent = 0 );
  ~WndMamePaths();

  bool mamePathIsChanged() const { return m_mamePathChanged; }

  static void removeLastSlashFromPath( QString* );
  static void setDirInOptions( Options*, const QString&, const QString& );

protected:
  void updateMenus();

  bool selectDir( QLineEdit*, const QString& );
  bool selectFile( QLineEdit*, const QString& );

protected slots:
  void slotOk();
  void slotCancel();

  void slotSelectMameExe();
  void slotSelectRomsDir();
  void slotSelectIconsDir();
  void slotSelectSnapshotsDir();
  void slotSelectSamplesDir();
  void slotSelectArtworkDir();
  void slotSelectFlyersDir();
  void slotSelectIniDir();
  void slotSelectCtrlrDir();
  void slotSelectHiscoreFile();
  void slotSelectCheatFile();
  void slotSelectHistoryFile();
  void slotSelectInfoFile();


private:
  Options* mp_options;
  bool m_mamePathChanged;

};


#endif /* KAF_WNDMAMEPATHS_H */

