/************************************************************************
 *                                                                      *
 * Project: KAF - Khelben Arcade Frontend                               *
 *                                                                      *
 * Author: Marco Mastroddi <marco.mastroddi@libero.it>                  *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 ************************************************************************/

/*
 *    File    : wndpreferences.h
 */


#ifndef KAF_WNDPREFERENCES_H
#define KAF_WNDPREFERENCES_H

#include "guipreferences.h"

class Options;
class QString;
class QLineEdit;


class WndPreferences : public GuiPreferences
{
  Q_OBJECT

public:
  WndPreferences( Options*, QWidget* parent = 0 );
  ~WndPreferences();

protected slots:
  void slotOk();
  void slotCancel();
  void slotSelectPersonalDir();
  void slotSelectTempDir();

protected:
  void updateMenus();
  bool selectDir( QLineEdit*, const QString& );

private:
  Options* mp_options;
  
};

#endif  /* KAF_WNDPREFERENCES_H */
